Subject: [TICTOC] WGLC for draft-ietf-ntp-mac

From: Karen O'Donoghue <[email-masked]>
Date: Wed, 9 Aug 2017 04:53:43 +0000

Folks,

This begins a three week working group last call (WGLC) for "Message Authentication Code for the Network Time Protocol"
https://datatracker.ietf.org/doc/draft-ietf-ntp-mac/

Please review and provide comments to the mailing list by no later than 31 August 2017. Earlier comments and discussion would be appreciated. Please note that the chairs will be using this WGLC to determine consensus to move this document forward to the IESG.

Also, as a reminder, we have migrated the working group mailing list to IETF infrastructure. Please respond to [email-masked]<mailto:[email-masked]>.

Regards,
Karen and Dieter

---

From: Tal Mizrahi <[email-masked]>
Date: Sun, 13 Aug 2017 10:34:31 +0300

Hi,

I believe this draft is clear and well-written. A couple of major comments
should probably be addressed before proceeding.

Major comments:
- This may have been discussed before, but still I am not sure what the
answer is: it seems to make sense to define this new MAC as a dedicated
extension field. Any reason not to do that? Since this draft deprecates the
previous MD5-based MAC, there are no backward compatibility considerations.
- To allow algorithm agility, I would suggest to add a field that specifies
the algorithm + a corresponding IANA registry.

Less major comments:
- Missing security considerations section.
- Missing IANA considerations section.
- "any extension fields that are present" => "every extension fields that
is present".

Thanks,
Tal.

On Wed, Aug 9, 2017 at 7:53 AM, Karen O'Donoghue <[email-masked]> wrote:

> Folks,
>
> This begins a three week working group last call (WGLC) for "Message
> Authentication Code for the Network Time Protocol"
> Please review and provide comments to the mailing list by no later than 31
> August 2017. Earlier comments and discussion would be appreciated. Please
> note that the chairs will be using this WGLC to determine consensus to move
> this document forward to the IESG.
>
> Also, as a reminder, we have migrated the working group mailing list to
> IETF infrastructure. Please respond to [email-masked].
>
> Regards,
> Karen and Dieter
>
> _______________________________________________
> TICTOC mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tictoc
>
>

---

From: Karen O'Donoghue <[email-masked]>
Date: Tue, 29 Aug 2017 02:26:03 +0000

Folks,

The working group last call for this document has been out for almost three weeks now. Please respond immediately with technical comments and an indication of whether or not you approve the advancement of this document.

Regards,
Karen

On Aug 9, 2017, at 12:53 AM, Karen O'Donoghue <[email-masked]<mailto:[email-masked]>> wrote:

Folks,

Regards,
Karen and Dieter
_______________________________________________
ntp mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ntp

---

From: Daniel Franke <[email-masked]>
Date: Mon, 28 Aug 2017 22:35:19 -0400

I support advancement of this draft. My only editorial comment at this
point is that I think several of the references currently listed as
normative, specifically RFC 1321, 6151, and 7696, should properly be
listed as informative.

On 8/9/17, Karen O'Donoghue <[email-masked]> wrote:
> Also, as a reminder, we have migrated the working group mailing list to IETF
> infrastructure. Please respond to [email-masked]<mailto:[email-masked]>.
>
> Regards,
> Karen and Dieter
>

---

From: Jiangyuanlong <[email-masked]>
Date: Tue, 29 Aug 2017 06:06:04 +0000

Hi, I support the publication of this draft, though I have several suggestions for the texts:

1.       “If authentication is implemented, then AES-CMAC as specified in RFC
        4493 [RFC4493] should be computed…” in Section 3.
This is a requirement, so I think it should use “SHOULD” instead of “should”.
But if this AES-CMAC is the only authentication mechanism, it is better to use “MUST”.

2.       “We recommend that the MAC key for NTP SHOULD be 128 bits long AES-128 key…” in Section 3.
To be more formal, maybe it can be rephrased into “It is RECOMMENDED that the MAC key for NTP SHOULD be 128 bits long AES-128 key…”

3.       "FOr test vectors and their outputs refer to Section 4 of RFC 4493 [RFC4493]" in Section 5 should be “For test vectors and their outputs refer to Section 4 of RFC 4493.”

Thanks,
Yuanlong

From: TICTOC [mailto:[email-masked]] On Behalf Of Karen O'Donoghue
Sent: Wednesday, August 09, 2017 12:54 PM
To: [email-masked]
Cc: [email-masked]
Subject: [TICTOC] WGLC for draft-ietf-ntp-mac

Folks,

Regards,
Karen and Dieter

---

From: "Ulrich Windl" <[email-masked]>
Date: Tue, 29 Aug 2017 09:49:20 +0200

>>> Daniel Franke <[email-masked]> schrieb am 29.08.2017 um 04:35 in
Nachricht
> normative, specifically RFC 1321, 6151, and 7696, should properly be

I just cross-checked: The first two are INFORMATIVE, the last one is BCP 201. ;-)

[...]

---

From: Greg Dowd <[email-masked]>
Date: Tue, 29 Aug 2017 23:52:13 +0000

I approve of advancing this draft.  Thanks...Greg

From: ntp [mailto:[email-masked]] On Behalf Of Karen O'Donoghue
Sent: Monday, August 28, 2017 7:26 PM
To: [email-masked]
Cc: [email-masked]
Subject: [Ntp] REMINDER: WGLC for draft-ietf-ntp-mac

EXTERNAL EMAIL
Folks,

Regards,
Karen

Folks,

Regards,
Karen and Dieter

---

From: "Ulrich Windl" <[email-masked]>
Date: Wed, 30 Aug 2017 09:24:06 +0200

>>> Jiangyuanlong <[email-masked]> schrieb am 29.08.2017 um 08:06 in
Nachricht
<[email-masked]>:
> 1.       “If authentication is implemented, then AES-CMAC as specified in

> RFC
> To be more formal, maybe it can be rephrased into “It is RECOMMENDED that

> the MAC key for NTP SHOULD be 128 bits long AES-128 key…”

Why not: "The MAC key for NTP SHOULD be a 128 bits long AES-128 key…"?

[...]

Regards,
Ulrich

---

From: Jiangyuanlong <[email-masked]>
Date: Wed, 30 Aug 2017 07:48:40 +0000

Definitely, it works for me;)

Cheers,
Yuanlong

-----Original Message-----
From: Ulrich Windl [mailto:[email-masked]] 
Sent: Wednesday, August 30, 2017 3:24 PM
To: Jiangyuanlong; [email-masked]; [email-masked]
Cc: [email-masked]
Subject: Antw: Re: [Ntp] WGLC for draft-ietf-ntp-mac

Nachricht

[...]

Regards,
Ulrich

---

From: Miroslav Lichvar <[email-masked]>
Date: Wed, 30 Aug 2017 11:25:53 +0200

> https://datatracker.ietf.org/doc/draft-ietf-ntp-mac/

I approve the advancement of the document.

My only suggestion would be remove or modify the sentence: "These are
important considerations for NTP, since latency directly affects
jitter and therefore the accuracy of time synchronization.".

I think it's the stability of the latency what directly affects
jitter, not the latency itself. Transmit timestamps can be corrected
for a stable latency in the MAC calculation to minimize the effect it
has on accuracy. With a shorter latency that becomes less important.

-- 
Miroslav Lichvar